---------------------
PatchSet 8619 
Date: 2006/09/09 12:30:38
Author: serassio
Branch: nt
Tag: (none) 
Log:
Added Windows threads support to aufs, dropped awin store

Members: 
	configure.in:1.87.2.51->1.87.2.52 
	doc/release-notes/release-2.6.html:1.2.4.25->1.2.4.26 
	doc/release-notes/release-2.6.sgml:1.2.4.25->1.2.4.26 
	port/win32/squid_mswin.mak:1.1.38.4->1.1.38.5 
	port/win32/include/autoconf.h:1.1.38.12->1.1.38.13 
	src/cf.data.pre:1.100.2.34->1.100.2.35 
	src/fs/Makefile.am:1.3.30.8->1.3.30.9 
	src/fs/aufs/aiops.c:1.21.2.4->1.21.2.5 
	src/fs/aufs/aiops_win32.c:1.1->1.1.2.1 
	src/fs/aufs/async_io.c:1.15.8.1->1.15.8.2 
	src/fs/aufs/store_dir_aufs.c:1.35.8.12->1.35.8.13 
	src/fs/awin32/.cvsignore:1.1.54.2->1.1.54.3(DEAD) 
	src/fs/awin32/aiops.c:1.1.88.4->1.1.88.5(DEAD) 
	src/fs/awin32/async_io.c:1.1.88.3->1.1.88.4(DEAD) 
	src/fs/awin32/async_io.h:1.1.2.2->1.1.2.3(DEAD) 
	src/fs/awin32/store_asyncufs.h:1.1.88.3->1.1.88.4(DEAD) 
	src/fs/awin32/store_dir_aufs.c:1.1.88.9->1.1.88.10(DEAD) 
	src/fs/awin32/store_io_aufs.c:1.1.88.3->1.1.88.4(DEAD) 

Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.87.2.51
retrieving revision 1.87.2.52
diff -u -r1.87.2.51 -r1.87.2.52
--- squid/configure.in	8 Sep 2006 20:13:37 -0000	1.87.2.51
+++ squid/configure.in	9 Sep 2006 12:30:38 -0000	1.87.2.52
@@ -1,7 +1,7 @@
 dnl
 dnl  Configuration input file for Squid
 dnl
-dnl  $Id: configure.in,v 1.87.2.51 2006/09/08 20:13:37 serassio Exp $
+dnl  $Id: configure.in,v 1.87.2.52 2006/09/09 12:30:38 serassio Exp $
 dnl
 dnl
 dnl
@@ -10,7 +10,7 @@
 AM_CONFIG_HEADER(include/autoconf.h)
 AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE
-AC_REVISION($Revision: 1.87.2.51 $)dnl
+AC_REVISION($Revision: 1.87.2.52 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -423,8 +423,17 @@
 	;;
     aufs)
 	if test -z "$with_pthreads"; then
-	    echo "aufs store used, pthreads support automatically enabled"
-	    with_pthreads=yes
+            case "$host_os" in
+            mingw|mingw32|cygwin|cygwin32)
+        	AM_CONDITIONAL(USE_AIOPS_WIN32, true)
+	        echo "aufs store used, Windows threads support automatically enabled"
+                ;;
+            *)
+        	AM_CONDITIONAL(USE_AIOPS_WIN32, false)
+	        echo "aufs store used, pthreads support automatically enabled"
+	        with_pthreads=yes
+                ;;
+            esac
 	fi
 	;;
     coss)
Index: squid/doc/release-notes/release-2.6.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/release-notes/release-2.6.sgml,v
retrieving revision 1.2.4.25
retrieving revision 1.2.4.26
diff -u -r1.2.4.25 -r1.2.4.26
--- squid/doc/release-notes/release-2.6.sgml	8 Sep 2006 20:13:37 -0000	1.2.4.25
+++ squid/doc/release-notes/release-2.6.sgml	9 Sep 2006 12:30:38 -0000	1.2.4.26
@@ -2,7 +2,7 @@
 <article>
 <title>Squid 2.6 release notes</title>
 <author>Squid Developers</author>
-<date>$Id: release-2.6.sgml,v 1.2.4.25 2006/09/08 20:13:37 serassio Exp $</date>
+<date>$Id: release-2.6.sgml,v 1.2.4.26 2006/09/09 12:30:38 serassio Exp $</date>
 
 <abstract>
 This document contains the release notes for version 2.6 of Squid.
@@ -278,14 +278,6 @@
 </descrip>
 
 <descrip>
-<tag>Awin32 fs module</tag>
-
-awin32 is a native WIN32 Async I/O Squid fs module derived from aufs. Configuration
-in squid.conf is identical to aufs, but You nedd to specify 'awin32' instead 'aufs' as
-cache type.
-</descrip>
-
-<descrip>
 <tag>Key changes from SquidNT 2.5</tag>
 <itemize>
 <item>Changed the default Windows service name from "SquidNT" to "Squid"
Index: squid/port/win32/squid_mswin.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid_mswin.mak,v
retrieving revision 1.1.38.4
retrieving revision 1.1.38.5
diff -u -r1.1.38.4 -r1.1.38.5
--- squid/port/win32/squid_mswin.mak	19 Aug 2006 16:56:53 -0000	1.1.38.4
+++ squid/port/win32/squid_mswin.mak	9 Sep 2006 12:30:38 -0000	1.1.38.5
@@ -51,7 +51,7 @@
 
 AUTH_MODULES = basic ntlm digest negotiate
 REPL_POLICIES = lru heap
-STORE_MODULES = ufs awin32 null
+STORE_MODULES = ufs aufs null
 
 SUBSTITUTE=sed "\
 	s%@DEFAULT_CONFIG_FILE@%$(DEFAULT_CONFIG_FILE)%g;\
Index: squid/port/win32/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/include/Attic/autoconf.h,v
retrieving revision 1.1.38.12
retrieving revision 1.1.38.13
diff -u -r1.1.38.12 -r1.1.38.13
--- squid/port/win32/include/autoconf.h	1 Sep 2006 13:23:56 -0000	1.1.38.12
+++ squid/port/win32/include/autoconf.h	9 Sep 2006 12:30:38 -0000	1.1.38.13
@@ -929,7 +929,7 @@
 #define STR_USE_ARP_ACL ""
 #endif
 
-#define SQUID_CONFIGURE_OPTIONS "--enable-win32-service --enable-storeio='ufs awin32 null' " \
+#define SQUID_CONFIGURE_OPTIONS "--enable-win32-service --enable-storeio='ufs aufs null' " \
     "--enable-removal-policies='heap lru' --enable-snmp --enable-htcp --disable-wccp --disable-wccpv2 --enable-useragent-log " \
     "--enable-referer-log --enable-cache-digests --enable-auth='basic ntlm digest negotiate' " \
     "--enable-basic-auth-helpers='LDAP NCSA mswin_sspi' --enable-negotiate-auth-helpers=mswin_sspi" \
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.100.2.34
retrieving revision 1.100.2.35
diff -u -r1.100.2.34 -r1.100.2.35
--- squid/src/cf.data.pre	2 Sep 2006 20:30:49 -0000	1.100.2.34
+++ squid/src/cf.data.pre	9 Sep 2006 12:30:39 -0000	1.100.2.35
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.100.2.34 2006/09/02 20:30:49 serassio Exp $
+# $Id: cf.data.pre,v 1.100.2.35 2006/09/09 12:30:39 serassio Exp $
 #
 #
 # SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -1099,16 +1099,6 @@
 
 	see argument descriptions under ufs above
 
-	The awin32 store type:
-
-	"awin32" uses the same storage format as "ufs", utilizing
-	WIN32-threads to avoid blocking the main Squid process on
-	disk-I/O. This was formerly known in Squid as async-io.
-
-	cache_dir awin32 Directory-Name Mbytes L1 L2 [options]
-
-	see argument descriptions under ufs above
-
 	The diskd store type:
 
 	"diskd" uses the same storage format as "ufs", utilizing a
Index: squid/src/fs/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/Makefile.am,v
retrieving revision 1.3.30.8
retrieving revision 1.3.30.9
diff -u -r1.3.30.8 -r1.3.30.9
--- squid/src/fs/Makefile.am	12 Jun 2006 19:06:20 -0000	1.3.30.8
+++ squid/src/fs/Makefile.am	9 Sep 2006 12:30:41 -0000	1.3.30.9
@@ -5,13 +5,19 @@
 
 AUTOMAKE_OPTIONS = subdir-objects
 
-EXTRA_LIBRARIES = libaufs.a libawin32.a libcoss.a libdiskd.a libnull.a libufs.a
+if USE_AIOPS_WIN32
+AIOPS_SOURCE = aufs/aiops_win32.c
+else
+AIOPS_SOURCE = aufs/aiops.c
+endif
+
+EXTRA_LIBRARIES = libaufs.a libcoss.a libdiskd.a libnull.a libufs.a
 noinst_LIBRARIES = @STORE_LIBS@
 
-libaufs_a_SOURCES = aufs/aiops.c aufs/async_io.c aufs/store_asyncufs.h \
+EXTRA_libaufs_a_SOURCES = aufs/aiops.c aufs/aiops_win32.c
+
+libaufs_a_SOURCES = $(AIOPS_SOURCE) aufs/async_io.c aufs/store_asyncufs.h \
 	aufs/store_dir_aufs.c aufs/store_io_aufs.c aufs/async_io.h
-libawin32_a_SOURCES = awin32/aiops.c awin32/async_io.c awin32/store_asyncufs.h \
-	awin32/store_dir_aufs.c awin32/store_io_aufs.c awin32/async_io.h
 libcoss_a_SOURCES = coss/store_coss.h   coss/store_io_coss.c coss/store_dir_coss.c \
 	coss/async_io.c coss/async_io.h
 libdiskd_a_SOURCES = diskd/diskd.c diskd/store_dir_diskd.c diskd/store_diskd.h \
@@ -40,8 +46,6 @@
 ## targets below to emulate distributed makefiles
 aufs/all: libaufs.a
 aufs/clean: clean
-awin32/all: libawin32.a
-awin32/clean: clean
 coss/all: libcoss.a
 coss/clean: clean
 null/all: libnull.a
Index: squid/src/fs/aufs/aiops.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/aiops.c,v
retrieving revision 1.21.2.4
retrieving revision 1.21.2.5
diff -u -r1.21.2.4 -r1.21.2.5
--- squid/src/fs/aufs/aiops.c	29 Jul 2006 18:43:14 -0000	1.21.2.4
+++ squid/src/fs/aufs/aiops.c	9 Sep 2006 12:30:41 -0000	1.21.2.5
@@ -129,7 +129,9 @@
 static void squidaio_do_close(squidaio_request_t *);
 static void squidaio_do_stat(squidaio_request_t *);
 static void squidaio_do_unlink(squidaio_request_t *);
+#if USE_TRUNCATE
 static void squidaio_do_truncate(squidaio_request_t *);
+#endif
 #if AIO_OPENDIR
 static void *squidaio_do_opendir(squidaio_request_t *);
 #endif
@@ -448,9 +450,11 @@
 	    case _AIO_OP_UNLINK:
 		squidaio_do_unlink(request);
 		break;
+#if USE_TRUNCATE
 	    case _AIO_OP_TRUNCATE:
 		squidaio_do_truncate(request);
 		break;
+#endif
 #if AIO_OPENDIR			/* Opendir not implemented yet */
 	    case _AIO_OP_OPENDIR:
 		squidaio_do_opendir(request);
@@ -801,6 +805,8 @@
     requestp->err = errno;
 }
 
+
+#if USE_TRUNCATE
 int
 squidaio_truncate(const char *path, off_t length, squidaio_result_t * resultp)
 {
@@ -824,6 +830,7 @@
     requestp->ret = truncate(requestp->path, requestp->offset);
     requestp->err = errno;
 }
+#endif
 
 
 #if AIO_OPENDIR
